<!DOCTYPE html>


<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css"
    integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">

<body>

    <div class="container">

        <div class="card w-50 mt-4">
            <div class="card-body">

                <h5 class="card-title">Sistema de senhas</h5>

                <div id="table">
                </div>
            </div>
        </div>


        <button onclick="callPassword()" class="btn btn-success mt-4">Chama senha</button>
        <button onclick="consumePassword()" class="btn btn-primary mt-4">Consumir senha</button>
        <button onclick="clearPassword()" class="btn btn-danger mt-4">Limpar senhas</button>

    </div>


    <script src="/socket.io/socket.io.js"></script>

    <script>
        let socket = io();

        socket.on('connect', () => {
            socket.send('Yeye');
        });

        socket.on('message', data => {

            document.getElementById("table").innerHTML = "";

            data.forEach((element, i) => {
                const node = document.createElement("p");
                const textnode = document.createTextNode(`${i} ${JSON.stringify(element)}`);
                node.appendChild(textnode);
                document.getElementById("table").append(node);
            });

        });

    const urlBase = location.origin;

    callPassword = async () => {
        await fetch(urlBase + '/new');
    }

    clearPassword = async () => {
        await fetch(urlBase + '/clear');
    }

    consumePassword = async () => {
        await fetch(urlBase + '/consume');
    }


    </script>


    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"
        integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI"
        crossorigin="anonymous"></script>
</body>



</html>
